.ad-list {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.ad-list-header, .ad-list-footer {
  flex: 0 0 42px;
  display: flex;
  flex-direction: row;
  position: relative;
}

.ad-list-header-spacer, .ad-list-footer-spacer {
  flex: 1;
}

.ad-list-header-control, .ad-list-header-pagination {
  margin: auto 4px;
}

.ad-list-footer-control, .ad-list-footer-pagination {
  margin: auto 4px;
}

.ad-list-body {
  flex: 1 1;
  overflow-y: auto;
}

.btn-group > .ad-list-dots {
  padding: 0;
  width: 24px;
  overflow: hidden;
  transition: all ease 1s;
}

.btn-group > .ad-list-dots.ad-list-dots-hidden {
  width: 0;
  margin: 0;
  border-right: 0;
  border-left: 0;
}

.ad-list-button-advanced {
  font-size: 20px;
  line-height: 24px;
}

.ad-list-advanced {
  position: absolute;
    height: 100px;
    width: 100%;
    background: #fff;
    z-index: 10;
    box-shadow: 0 10px 30px -10px #505050b3;
    top: 100%;
    visibility: hidden;
}

.ad-list-advanced-visible {
  visibility: visible;
}

/* skeleton */ 

.ad-list-skeleton-body{
  display: none;
}

.ad-list-body:empty ~ .ad-list-skeleton-body {
  display: block;
}

/* it somehow looks fine */
.form-group {
  margin: 0;
  display: flex;
}
.form-group > input[type=checkbox] {
  flex: 0;
  margin-right: 8px;
}
.form-group > label {
  margin: 0;
  line-height: 100%;
  padding-top: 8px;
}